import { Node } from '@jfrog-pipelines/data-access-layer';
export declare type NodeMockState = {
    nodeLimit: number;
    buildPlaneMessageCount: number;
    successNodes: number;
    waitingNodes: number;
    cachedNodes: number;
    processingNodes: number;
    failureNodes: number;
    stoppedNodes: number;
    nodeCreated: number;
    nodeStarted: number;
};
export declare function getMockNodes({ successNodes, waitingNodes, cachedNodes, processingNodes, failureNodes, stoppedNodes }: NodeMockState): Node[];
export declare function getProvisionerTestCases(): number[][];
